import {  Col, Button, Table } from 'react-bootstrap'

export function ListMode(props) {
    
    let { setEdit, setDelete, setShow, setPuesto, data } = props;

    return(
        <Col md="12">
            <div className="body-table">
                <Table responsive borderless id="tablaproductos">
                    <thead>
                        <tr >
                            <th className="text-center">Nombre de la plaza</th>
                            <th className="text-center">Descripción</th>
                            <th className="text-center">Salario</th>
                            <th className="text-center">Acciones</th>
                        </tr>
                    </thead>
                    <tbody>

                        {
                            data.length ? 
                                data.slice( 0,23 ).map( (plaza, i) => {
                                    return (
                                        <tr key={plaza.id}>
                                            <td className="text-center">{  plaza.id +  " - " + plaza.nombre }</td>
                                            <td className="text-center">{ plaza.description }</td>
                                            <td className="text-center">{ plaza.salario }</td>
                                            <td className="actions_butons_plaza"> 
                                                <Button 
                                                    onClick={() => {
                                                        setPuesto(plaza) 
                                                        setShow(true)
                                                    }} 
                                                    className="ver_producto">Ver
                                                </Button>

                                                <Button 
                                                    onClick={() => {
                                                        setPuesto(plaza) 
                                                        setEdit(true)
                                                    }} 
                                                    className="editar_producto">Editar
                                                </Button>
                                                <Button 
                                                    onClick={() => {
                                                        setPuesto(plaza) 
                                                        setDelete(true) 
                                                    }} 
                                                    className="eliminar_producto">Eliminar
                                                </Button>
                                            </td>
                                        </tr>
                                    )
                                }) : undefined
                        }

                    </tbody>
                    <tfoot>
                        <tr>
                            <th>Nombre de la plaza</th>
                            <th>Descripción</th>
                            <th>Salario</th>
                            <th>Acciones</th>
                        </tr>
                    </tfoot>
                </Table>
            </div>
        </Col>
    )
}
